2017-05-27 02:24 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003175Kali Linux[All Projects] Feature Requestspublic2017-04-12 06:21
Reporterkimocoder 
Assigned Tosbrun 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.1 
Target Version2016.2Fixed in Version2016.2 
Summary0003175: Missing firmware iwlwifi-7260-17.ucode
DescriptionHi there!

New HP Pavilion Netbooks (with Touchscreen and Tablet function) is missing the firmware "iwlwifi-3160-17.ucode", if you could add it it would be awesome.

There are also problems with the Network-Manager, but installing Wicd is the solution for the fix. More information regarding this problem to be announced.

Thanks!
Additional InformationMore information will be added shortly (need more debugging!)
Attached Files

-Relationships
+Relationships

-Notes

~0004997

kimocoder (reporter)

This is VERY similar to what i experience.. take a look @ https://forums.bunsenlabs.org/viewtopic.php?id=1289

~0005061

rhertzog (administrator)

Pinged the Debian kernel maintainer about this missing firmware. Hopefully there will be an update soon.

~0005162

JonnyRobot (reporter)

Last edited: 2016-04-26 00:18

View 2 revisions

I also experience this when trying to install Kali. It asks for iwlwifi-3160-17.ucode which I cannot find for a download anywhere.

Setup on Detecting network hardware stops and reports:
The missing firmware files are: iwlwifi-3410-17.ucode

Seems the latest ucode for 3160 is -16. I'm able to ignore and install, and the wireless works, except there is no packet injection support. Not sure if that is Kali issue or Driver issue though.

~0005529

rhertzog (administrator)

Bug on the Debian side is https://bugs.debian.org/808792

The firmware has been very recently added to linux-firmware.git:
https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/commit/?id=f2cf4d67e8eced29c8a473d3a27057aa2df57c42

~0005532

rhertzog (administrator)

We just uploaded firmware-nonfree 20160712-0kali1 with the new firmware.
+Notes

-Issue History
Date Modified Username Field Change
2016-03-20 04:12 kimocoder New Issue
2016-03-20 04:17 kimocoder Note Added: 0004997
2016-03-31 14:54 rhertzog Note Added: 0005061
2016-03-31 14:54 rhertzog Assigned To => rhertzog
2016-03-31 14:54 rhertzog Status new => confirmed
2016-04-26 00:14 JonnyRobot Note Added: 0005162
2016-04-26 00:18 JonnyRobot Note Edited: 0005162 View Revisions
2016-07-11 08:58 rhertzog Priority normal => high
2016-07-11 08:58 rhertzog Status confirmed => assigned
2016-07-11 08:58 rhertzog Target Version => 2016.2
2016-07-11 08:58 rhertzog Summary WiFi problems + Missing firmware => Missing firmware iwlwifi-7260-17.ucode
2016-07-12 07:12 rhertzog Note Added: 0005529
2016-07-12 07:15 rhertzog Assigned To rhertzog => sbrun
2016-07-12 14:47 rhertzog Note Added: 0005532
2016-07-12 14:47 rhertzog Status assigned => resolved
2016-07-12 14:47 rhertzog Fixed in Version => 2016.2
2016-07-12 14:47 rhertzog Resolution open => fixed
+Issue History